// LoadFont.cpp : implementation file
//

#include "stdafx.h"
#include "CDXCreator.h"
#include "LoadFont.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CLoadFont dialog


CLoadFont::CLoadFont(CWnd* pParent /*=NULL*/)
	: CDialog(CLoadFont::IDD, pParent)
{
	//{{AFX_DATA_INIT(CLoadFont)
	m_LoadDefaultFont = FALSE;
	m_Font = _T("");
	//}}AFX_DATA_INIT
}


void CLoadFont::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CLoadFont)
	DDX_Check(pDX, IDC_LOADDEFAULTFONT_CHECK, m_LoadDefaultFont);
	DDX_Text(pDX, IDC_FONT_EDIT, m_Font);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CLoadFont, CDialog)
	//{{AFX_MSG_MAP(CLoadFont)
	ON_BN_CLICKED(IDC_LOADDEFAULTFONT_CHECK, OnLoaddefaultfontCheck)
	ON_EN_CHANGE(IDC_FONT_EDIT, OnChangeFontEdit)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CLoadFont message handlers

void CLoadFont::OnLoaddefaultfontCheck() 
{
	if (m_Font=="") UpdateData (TRUE);
	else { m_LoadDefaultFont=FALSE; UpdateData(FALSE); }
}

void CLoadFont::OnChangeFontEdit() 
{
	UpdateData (TRUE);	
}
